
-- Checks for hunger mods to register food on
--function food.item_eat(amt)
--	if minetest.get_modpath("diet") and global_exists("diet") and diet.item_eat then
--		return diet.item_eat(amt)
--	elseif minetest.get_modpath("hud") and global_exists("hud") and hud.item_eat then
--		return hud.item_eat(amt)
--	elseif minetest.get_modpath("hbhunger") then
--		if global_exists("hbhunger") and hbhunger.item_eat then
--			return hbhunger.item_eat(amt)
--		elseif global_exists("hunger") and hunger.item_eat then
--			-- For backwards compatibility
--			-- It used to be called `hunger` rather than `hbhunger`
--			return hunger.item_eat(amt)
--		end
--	else
--		return minetest.item_eat(amt)
--	end
--end

-- support for translation.
local S = minetest.get_translator("pork_chop")

minetest.register_node("pork_chop:sausage", {
	description = S("Sausage"),
	drawtype = "mesh",
	mesh = "pork_chop_sausage.obj",
	tiles = {"pork_chop_sausage.png"},
	inventory_image = "pork_chop_sausage_inv.png",
	paramtype = "light",
	sunlight_propagates = false,
	walkable = false,
	is_ground_content = false,
	selection_box = {
		type = "fixed",
		fixed = {-6 / 16, -2 / 16, -6 / 16, 5 / 16, 8 / 16, 6 / 16}
	},
	collision_box = {
		type = "fixed",
		fixed = {-6 / 16, -2 / 16, -6 / 16, 5 / 16, 8 / 16, 6 / 16}
	},
on_use = minetest.item_eat(5),
	groups = {dig_immediate = 3, fleshy = 3, food_apple = 1},
	sounds = default.node_sound_leaves_defaults(),
})
